update a team
curl --request PUT \
--url https://api.orgnise.in/teams/{team_slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
'import requests
url = "https://api.orgnise.in/teams/{team_slug}"
payload = {
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Engineering Team',
description: 'A team for the engineering department.',
slug: 'engineering'
})
};
fetch('https://api.orgnise.in/teams/{team_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orgnise.in/teams/{team_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Engineering Team',
'description' => 'A team for the engineering department.',
'slug' => 'engineering'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orgnise.in/teams/{team_slug}"
payload := strings.NewReader("{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.orgnise.in/teams/{team_slug}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orgnise.in/teams/{team_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}"
response = http.request(request)
puts response.read_body{
"_id": "<string>",
"name": "<string>",
"logo": null,
"description": "<string>",
"membersCount": 123,
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"inviteCode": "<string>",
"plan": "free",
"billingCycleStart": 123,
"usage": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"limit": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"role": "<unknown>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}teams
update a team
Update a team.
PUT
/
teams
/
{team_slug}
update a team
curl --request PUT \
--url https://api.orgnise.in/teams/{team_slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
'import requests
url = "https://api.orgnise.in/teams/{team_slug}"
payload = {
"name": "Engineering Team",
"description": "A team for the engineering department.",
"slug": "engineering"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Engineering Team',
description: 'A team for the engineering department.',
slug: 'engineering'
})
};
fetch('https://api.orgnise.in/teams/{team_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.orgnise.in/teams/{team_slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Engineering Team',
'description' => 'A team for the engineering department.',
'slug' => 'engineering'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.orgnise.in/teams/{team_slug}"
payload := strings.NewReader("{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.orgnise.in/teams/{team_slug}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.orgnise.in/teams/{team_slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Engineering Team\",\n \"description\": \"A team for the engineering department.\",\n \"slug\": \"engineering\"\n}"
response = http.request(request)
puts response.read_body{
"_id": "<string>",
"name": "<string>",
"logo": null,
"description": "<string>",
"membersCount": 123,
"meta": {
"title": "<string>",
"description": "<string>",
"slug": "<string>"
},
"inviteCode": "<string>",
"plan": "free",
"billingCycleStart": 123,
"usage": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"limit": {
"pages": 0,
"users": 0,
"workspaces": 0
},
"createdAt": "<string>",
"updatedAt": "<string>",
"role": "<unknown>"
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}Body
application/json
Response
The updated team
Was this page helpful?